
// Original 3D points data
Point3Dl p3d_Cubo[8] = {
	-100, -100, 100,
	100, -100, 100,
	100, 100, 100,
	-100, 100, 100,
	-100, -100, -100,
	100, -100, -100,
	100, 100, -100,
	-100, 100, -100
};

// Always 0
Point3Dl r3d_Cubo[8]/* = {
	0, 0, 0,
	0, 0, 0,
	0, 0, 0,
	0, 0, 0,
	0, 0, 0,
	0, 0, 0,
	0, 0, 0,
	0, 0, 0
}*/;

// Always 0
Point2D t2d_Cubo[8]/* = {
	0, 0,
	0, 0,
	0, 0,
	0, 0,
	0, 0,
	0, 0,
	0, 0,
	0, 0
}*/;

FaceStruct faces_Cubo[12] = {
	0, 1, 2,  1, 0,
	0, 2, 3,  1, 0,

	0, 4, 5,  2, 0,
	0, 5, 1,  2, 0,

	1, 5, 6,  3, 0,
	1, 6, 2,  3, 0,

	2, 6, 7,  1, 0,
	2, 7, 3,  1, 0,

	3, 7, 4,  2, 0,
	3, 4, 0,  2, 0,

	4, 7, 6,  3, 0,
	4, 6, 5,  3, 0
};

long zmed_Cubo[12];

ushort zord_Cubo[12];

Obj3D o3d_Cubo = {
	// Numero Punti
	8,

	// Punti originali
	p3d_Cubo,

	// Punti ruotati
	r3d_Cubo,

	// Punti trasformati (2D)
	t2d_Cubo,

	// Rotazioni totali (incrementano)
	0, 0, 0,

	// Numero facce
	12,

	// Array facce
	faces_Cubo,

	// Array delle Z medie (per il sort)
	zmed_Cubo,
	
	// Array con il numero d'ordine dei poligoni da disegnare, sortato insieme alle zmed
	zord_Cubo,

	// Zmax ( set to 0 )
	0,	

	// Traslazione
	0, 0, 0
};
